Package com.avaya.clientservices.media.gui

## Class PlaneRenderer

- java.lang.Object
- - com.avaya.clientservices.media.gui.PlaneRenderer

- All Implemented Interfaces:
    `android.opengl.GLSurfaceView.Renderer`, `android.view.View.OnTouchListener`

      public class PlaneRenderer
      extends java.lang.Object
      implements android.opengl.GLSurfaceView.Renderer, android.view.View.OnTouchListener

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlaneRenderer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addRenderable​(Renderable renderable)` | Adds a `Renderable` object to a collection to be updated with surface events.
    `Plane` | `getPlane()` | Gets the plane to be rendered.
    `void` | `onDrawFrame​(javax.microedition.khronos.opengles.GL10 gl)`
    `void` | `onSurfaceChanged​(javax.microedition.khronos.opengles.GL10 gl, int width, int height)`
    `void` | `onSurfaceCreated​(javax.microedition.khronos.opengles.GL10 gl, javax.microedition.khronos.egl.EGLConfig config)`
    `boolean` | `onTouch​(android.view.View view, android.view.MotionEvent event)`
    `void` | `removeAllRenderables()` | Removes all `Renderable` objects from a collection to be updated with surface events.
    `void` | `removeRenderable​(Renderable renderable)` | Removes a `Renderable` object from a collection to be updated with surface events.
    `void` | `setPlane​(Plane plane)` | Sets the plane to be rendered.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlaneRenderer

          public PlaneRenderer()

  - ### Method Detail

    - #### getPlane

          public Plane getPlane()

      Gets the plane to be rendered.
      Returns:
        the plane to be rendered.

    - #### setPlane

          public void setPlane​(Plane plane)

      Sets the plane to be rendered.
      Parameters:
        `plane` - the plane to be rendered.

    - #### addRenderable

          public void addRenderable​(Renderable renderable)

      Adds a `Renderable` object to a collection to be updated with surface events. The object will be notified immediately of current surface state.
      Parameters:
        `renderable` - the object to be added.

    - #### removeRenderable

          public void removeRenderable​(Renderable renderable)

      Removes a `Renderable` object from a collection to be updated with surface events.
      Parameters:
        `renderable` - the object to be removed.

    - #### removeAllRenderables

          public void removeAllRenderables()

      Removes all `Renderable` objects from a collection to be updated with surface events.

    - #### onSurfaceCreated

          public void onSurfaceCreated​(javax.microedition.khronos.opengles.GL10 gl,
                                       javax.microedition.khronos.egl.EGLConfig config)

      Specified by:
        `onSurfaceCreated` in interface `android.opengl.GLSurfaceView.Renderer`

    - #### onSurfaceChanged

          public void onSurfaceChanged​(javax.microedition.khronos.opengles.GL10 gl,
                                       int width,
                                       int height)

      Specified by:
        `onSurfaceChanged` in interface `android.opengl.GLSurfaceView.Renderer`

    - #### onDrawFrame

          public void onDrawFrame​(javax.microedition.khronos.opengles.GL10 gl)

      Specified by:
        `onDrawFrame` in interface `android.opengl.GLSurfaceView.Renderer`

    - #### onTouch

          public boolean onTouch​(android.view.View view,
                                 android.view.MotionEvent event)

      Specified by:
        `onTouch` in interface `android.view.View.OnTouchListener`